import { ITimelineStepRenderer, ITooltipService } from "../abstraction";
export declare abstract class TimelineStepRenderer<T> implements ITimelineStepRenderer<T> {
    private readonly _toolTipService;
    constructor(_toolTipService: ITooltipService);
    renderLead(item: T, index: number, items: T[]): unknown;
    protected abstract resolveLeadTime(first: T, second: T): number;
    renderDetail(item: T, index: number, items: T[]): unknown;
    protected abstract renderDetailContent(item: T, index: number, items: T[]): unknown;
    renderStep(item: T, index: number, items: T[]): unknown;
    protected abstract renderStepContent(item: T, index: number, items: T[]): unknown;
    protected onDidMouseEnterStep(ev: UIEvent, item: T, index: number, items: T[]): void;
    protected abstract renderTooltipContent(item: T, index: number, items: T[]): unknown;
    protected resolveStepColumn(index: number): string;
    protected resolveDetailColumn(index: number): string;
    protected resolveDetailRow(index: number): string;
}
